export const MODULE_NAME = 'ad';

const _GETTERS = {
	USERS: 'users'
};

export const GETTERS = {
	USERS: `${MODULE_NAME}/${_GETTERS.USERS}`
};

const _ACTIONS = {
	LOAD: 'load',
	REMOVE: 'remove',
	EDIT_AD: 'editAd',
	LOAD_ALL: 'loadAll',
	LOAD_CITY: 'loadCities',
	LOAD_DISTRICT: 'loadDistricts',
	REMOVE_ITEMS: 'removeItems',
	UPDATE_STATUS: 'updateStatus',
	LOAD_DEVICES: 'loadDevices',
};

export const ACTIONS = {
	LOAD: `${MODULE_NAME}/${_ACTIONS.LOAD}`,
	REMOVE: `${MODULE_NAME}/${_ACTIONS.REMOVE}`,
	EDIT_AD: `${MODULE_NAME}/${_ACTIONS.EDIT_AD}`,
	LOAD_ALL: `${MODULE_NAME}/${_ACTIONS.LOAD_ALL}`,
	LOAD_CITY: `${MODULE_NAME}/${_ACTIONS.LOAD_CITY}`,
	LOAD_DISTRICT: `${MODULE_NAME}/${_ACTIONS.LOAD_DISTRICT}`,
	REMOVE_ITEMS: `${MODULE_NAME}/${_ACTIONS.REMOVE_ITEMS}`,
	UPDATE_STATUS: `${MODULE_NAME}/${_ACTIONS.UPDATE_STATUS}`,
	LOAD_DEVICES: `${MODULE_NAME}/${_ACTIONS.LOAD_DEVICES}`,
};

const _MUTATORS = {
	SET_USERS: 'setUsers'
};

export const MUTATORS = {
	SET_USERS: `${MODULE_NAME}/${_MUTATORS.SET_USERS}`
};

export default {
	_GETTERS,
	_ACTIONS,
	_MUTATORS
};
